ch.qos.logback.core.net.ssl

## Class SSLParametersConfiguration

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.net.ssl.SSLParametersConfiguration

All Implemented Interfaces:
  ContextAware

    public class SSLParametersConfiguration
    extends ContextAwareBase

A configuration of SSL parameters for an `SSLEngine`.

Author:
  Carl Harris

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`SSLParametersConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configure(SSLConfigurable socket)` Configures SSL parameters on an `SSLConfigurable`.
`String` `getExcludedCipherSuites()` Gets the JSSE cipher suite names to exclude.
`String` `getExcludedProtocols()` Gets the JSSE secure transport protocols to exclude.
`String` `getIncludedCipherSuites()` Gets the JSSE cipher suite names to include.
`String` `getIncludedProtocols()` Gets the JSSE secure transport protocols to include.
`Boolean` `isNeedClientAuth()` Gets a flag indicating whether client authentication is required.
`Boolean` `isWantClientAuth()` Gets a flag indicating whether client authentication is desired.
`void` `setExcludedCipherSuites(String cipherSuites)` Sets the JSSE cipher suite names to exclude.
`void` `setExcludedProtocols(String protocols)` Sets the JSSE secure transport protocols to exclude.
`void` `setIncludedCipherSuites(String cipherSuites)` Sets the JSSE cipher suite names to include.
`void` `setIncludedProtocols(String protocols)` Sets the JSSE secure transport protocols to include.
`void` `setNeedClientAuth(Boolean needClientAuth)` Sets a flag indicating whether client authentication is required.
`void` `setWantClientAuth(Boolean wantClientAuth)` Sets a flag indicating whether client authentication is desired.

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SSLParametersConfiguration

    public SSLParametersConfiguration()

### Method Detail

#### configure

    public void configure(SSLConfigurable socket)

Configures SSL parameters on an `SSLConfigurable`.

Parameters:
  `socket` - the subject configurable

#### getIncludedProtocols

    public String getIncludedProtocols()

Gets the JSSE secure transport protocols to include.

Returns:
  a string containing comma-separated JSSE secure transport protocol names (e.g. `TLSv1`)

#### setIncludedProtocols

    public void setIncludedProtocols(String protocols)

Sets the JSSE secure transport protocols to include.

Parameters:
  `protocols` - a string containing comma-separated JSSE secure transport protocol names
See Also:
  `Cryptography Architecture Standard Algorithm Name Documentation`

#### getExcludedProtocols

    public String getExcludedProtocols()

Gets the JSSE secure transport protocols to exclude.

Returns:
  a string containing comma-separated JSSE secure transport protocol names (e.g. `TLSv1`)

#### setExcludedProtocols

    public void setExcludedProtocols(String protocols)

Sets the JSSE secure transport protocols to exclude.

Parameters:
  `protocols` - a string containing comma-separated JSSE secure transport protocol names
See Also:
  `Cryptography Architecture Standard Algorithm Name Documentation`

#### getIncludedCipherSuites

    public String getIncludedCipherSuites()

Gets the JSSE cipher suite names to include.

Returns:
  a string containing comma-separated JSSE cipher suite names (e.g. `TLS_DHE_RSA_WITH_AES_256_CBC_SHA`)

#### setIncludedCipherSuites

    public void setIncludedCipherSuites(String cipherSuites)

Sets the JSSE cipher suite names to include.

Parameters:
  `cipherSuites` - a string containing comma-separated JSSE cipher suite names
See Also:
  `Cryptography Architecture Standard Algorithm Name Documentation`

#### getExcludedCipherSuites

    public String getExcludedCipherSuites()

Gets the JSSE cipher suite names to exclude.

Returns:
  a string containing comma-separated JSSE cipher suite names (e.g. `TLS_DHE_RSA_WITH_AES_256_CBC_SHA`)

#### setExcludedCipherSuites

    public void setExcludedCipherSuites(String cipherSuites)

Sets the JSSE cipher suite names to exclude.

Parameters:
  `cipherSuites` - a string containing comma-separated JSSE cipher suite names
See Also:
  `Cryptography Architecture Standard Algorithm Name Documentation`

#### isNeedClientAuth

    public Boolean isNeedClientAuth()

Gets a flag indicating whether client authentication is required.

Returns:
  flag state

#### setNeedClientAuth

    public void setNeedClientAuth(Boolean needClientAuth)

Sets a flag indicating whether client authentication is required.

Parameters:
  `needClientAuth` - the flag state to set

#### isWantClientAuth

    public Boolean isWantClientAuth()

Gets a flag indicating whether client authentication is desired.

Returns:
  flag state

#### setWantClientAuth

    public void setWantClientAuth(Boolean wantClientAuth)

Sets a flag indicating whether client authentication is desired.

Parameters:
  `wantClientAuth` - the flag state to set